Subject: bug#64185: proposal for new function: copy-line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Jul 2023 13:22:16 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sat, 1 Jul 2023 12:07:15 +0200
> Cc: [email-masked],
>  [email-masked],
>  [email-masked],
>  [email-masked]
> 
> 1 juli 2023 kl. 11.53 skrev Eli Zaretskii <[email-masked]>:
> 
> > In a way that doesn't make any significant changes in
> > rectangle--duplicate-right, for example.
> 
> That's just the part of duplicate-dwim that lives in rect.el.

I understand, but the changes are non-trivial, and I cannot see any
urgency to doing that on emacs-29.  We lived with the current
implementation for a year.

> > The difference is that (a) duplicate-line was a feature which was
> > explicitly requested by the bug report which caused its
> > implementation, and (b) the changes for duplicate-line were much
> > simpler and easier to reason about.
> 
> They weren't really simpler, but that's not the point. It's about finishing a job properly.
> I certainly understand the motivation behind the bug and see that it applies to duplicate-dwim as well.
> We usually don't respond to requests by narrowly implementing just what the reporter asked about and nothing else.

I don't object to installing your changes, I just don't want to risk
any more unnecessary breakage on the release branch.  My point about
duplicate-dwim is that it was added at our initiative, so extending it
could wait till Emacs 30.